pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/42589: PPTP mppe-lkm-0.0.4nb2 does not work with mppe compressed links on NetBSD

Am 07.01.2010 um 12:40 schrieb Bernd Ernesti:

> I had require-mppe-128 in options.pptp when I last used it in 2007.
> Where I used pptp-1.7.1 at that time.
> Hmm, you use nomppe-40 in options.pptp but the logfile looks for
> me that only mppe-40 is offered from the peer.

The server uses 128 only.

they sent me that:
Our pptpd servers are configured in the following manner:

# BSD licensed ppp-2.4.2 upstream with MPPE only, kernel module ppp_mppe.o
# {{{
# Require the peer to authenticate itself using MS-CHAPv2 [Microsoft
# Challenge Handshake Authentication Protocol, Version 2] authentication.
# Require MPPE 128-bit encryption
# (note that MPPE requires the use of MSCHAP-V2 during authentication)
# }}}

If you want I can tell you more about it privately. I can pay you a test 
account too.


Home | Main Index | Thread Index | Old Index